Update ingest stream settings

Server: https://{kibana_url}
  • PUT /api/streams/{name}/_ingest
  • PUT /s/{space_id}/api/streams/{name}/_ingest

Refer to Spaces for more information.

Upserts the ingest settings of an ingest stream definition

[Required authorization] Route required privileges: manage_stream.

Path Parameters

name string · max: 200 required

The name of the stream.

Request

ingest union anyOf required
Any of:
failure_store union required
Any of:
inherit object required
lifecycle union required
Any of:

Response

200

The ingest settings were updated successfully.